package com.css.simulation.resource.scene.common.feign;

import api.common.pojo.common.ResponseBodyVO;
import api.common.pojo.param.scene.SceneImportParam;

public class SceneServiceFallback implements SceneService {

    @Override
    public ResponseBodyVO saveSceneAccidentBatch(SceneImportParam sceneImportParam) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO saveSceneNaturalBatch(SceneImportParam sceneImportParam) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO saveStandardsRegulationsBatch(SceneImportParam sceneImportParam) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }

    @Override
    public ResponseBodyVO saveSceneReferenceLibBatch(SceneImportParam sceneImportParam) {
        return new ResponseBodyVO<>(ResponseBodyVO.Response.SERVER_FAILURE);
    }
}
